Loading...
Searching...
No Matches
openvdb::v10_0::logging Namespace Reference

## Classes

struct | LevelScope
| A LevelScope object sets the logging level to a given level and restores it to the current level when the object goes out of scope. More...

## Enumerations

enum class | Level { Debug = log4cplus::DEBUG_LOG_LEVEL , Info = log4cplus::INFO_LOG_LEVEL , Warn = log4cplus::WARN_LOG_LEVEL , Error = log4cplus::ERROR_LOG_LEVEL , Fatal = log4cplus::FATAL_LOG_LEVEL }
| Message severity level. More...

## Functions

Level | getLevel ()
| Return the current logging level.
void | setLevel (Level lvl)
| Set the logging level. (Lower-level messages will be suppressed.).
void | setLevel (int &argc, char *argv[])
| If "-debug", "-info", "-warn", "-error" or "-fatal" is found in the given array of command-line arguments, set the logging level appropriately and remove the relevant argument(s) from the array.
void | setProgramName (const std::string &progName, bool useColor=true)
| Specify a program name to be displayed in log messages.
void | initialize (bool useColor=true)
| Initialize the logging system if it is not already initialized.
void | initialize (int &argc, char *argv[], bool useColor=true)
| Initialize the logging system from command-line arguments.

## Enumeration Type Documentation

## Level

enum class Level

strong

Message severity level.

Enumerator
Debug |
Info |
Warn |
Error |
Fatal |

## Function Documentation

## getLevel()

Level getLevel | ( |  | ) |

inline

Return the current logging level.

## initialize() [1/2]

void initialize | ( | bool | useColor = true | ) |

inline

Initialize the logging system if it is not already initialized.

## initialize() [2/2]

void initialize | ( | int & | argc,
|  | char * | argv[],
|  | bool | useColor = true )

inline

Initialize the logging system from command-line arguments.

If "-debug", "-info", "-warn", "-error" or "-fatal" is found in the given array of command-line arguments, set the logging level appropriately and remove the relevant argument(s) from the array.

## setLevel() [1/2]

void setLevel | ( | int & | argc,
|  | char * | argv[] )

inline

If "-debug", "-info", "-warn", "-error" or "-fatal" is found in the given array of command-line arguments, set the logging level appropriately and remove the relevant argument(s) from the array.

## setLevel() [2/2]

void setLevel | ( | Level | lvl | ) |

inline

Set the logging level. (Lower-level messages will be suppressed.).

## setProgramName()

void setProgramName | ( | const std::string & | progName,
|  | bool | useColor = true )

inline

Specify a program name to be displayed in log messages.